as.matrix.corStruct {nlme} | R Documentation

## Matrix of a corStruct Object

### Description

This method function extracts the correlation matrix, or list of correlation matrices, associated with `object`.

### Usage

    ## S3 method for class 'corStruct'
    as.matrix(x, ...)

### Arguments

`x` | an object inheriting from class `"corStruct"`, representing a correlation structure.
`...` | further arguments passed from other methods.

### Value

If the correlation structure includes a grouping factor, the returned value will be a list with components given by the correlation matrices for each group. Otherwise, the returned value will be a matrix representing the correlation structure associated with `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J. C. and Bates, D. M. (2000), Mixed-Effects Models in S and S-PLUS, Springer, New York.

### See Also

`corClasses`, `corMatrix`

### Examples

    cst1 <- corAR1(form = ~1|Subject)
    cst1 <- Initialize(cst1, data = Orthodont)
    as.matrix(cst1)

[Package nlme version 3.1-128 Index]